.navigation-wrapper {
    @media (max-width: @screen-sm-max) {
        margin-bottom: @grid-gutter-width/1.5;
    }
}

.site-nav {
    margin-bottom: 0;
    border: 0;
    padding: @grid-gutter-width/1.5 0;

    @media (max-width: @screen-xs-max) {
        padding-top: @grid-gutter-width/2;
    }

    @media (max-width: @screen-sm-max) {
        border-bottom: @main-menu-mobile-border-bottom-width @main-menu-mobile-border-bottom-style @main-menu-mobile-border-bottom-color;
    }

    &.checkout-nav {
        border-bottom: 1px @border-style @border-color;
        margin-bottom: @grid-gutter-width;

        .flex-row {
            justify-content: flex-start;
        }
    }

    > .container {
        @media (max-width: @screen-sm-max) {
            width: 100%;
        }

        @media (min-width: @screen-sm-min) and (max-width: @screen-sm-max) {
            padding-left: @grid-gutter-width;
            padding-right: @grid-gutter-width;
        }
    }

    .flex-row {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;
    }

    .logo-wrap {
        padding-left: @grid-gutter-width/2;
        padding-right: @grid-gutter-width/2;
        flex-grow: 0;
        display: flex;
        flex-flow: row nowrap;
        align-items: center;

        @media (max-width: 550px) {
            padding: 0 0 0 5px;
        }

        .logo {
            float: left;
            display: block;

            &.no-image {
                height: 50px;

                @media (max-width: @screen-xs-max) {
                    height: 40px;
                }
            }

            &.has-image {
                &.logo-square {
                    img {
                        max-height: 90px;
                        max-width: 90px;

                        @media (max-width: 550px) {
                            max-height: 70px;
                            max-width: 70px;
                        }
                    }
                }

                &.logo-horizontal {
                    img {
                        max-height: 60px;
                        max-width: 300px;

                        @media (max-width: 550px) {
                            max-height: 45px;
                            max-width: 150px;
                        }

                        @media (max-width: 359px) {
                            max-width: 90px;
                        }
                    }
                }

                &.logo-vertical {
                    img {
                        max-height: 90px;

                        @media (max-width: 550px) {
                            max-height: 70px;
                        }
                    }
                }
            }

            a {
                display: flex;
                height: 100%;
                align-items: center;
            }
        }
    }

    .secondary-nav {
        flex-grow: 1;
        padding-left: @grid-gutter-width/2;
        padding-right: @grid-gutter-width/2;
        display: flex;
        flex-flow: column nowrap;
        align-items: flex-end;

        &.search-on-top {
            .secondary-nav-dropdowns {
                @media (min-width: @screen-md-min) {
                    margin: @grid-gutter-width/3 0 0 0;
                }
            }
        }

        .nav-basket-element {
            margin: 0;
            padding: 0;
        }

        .cart {
            > a {
                padding: 5px 0;
                display: block;
                font-family: @font-headline;

                &:hover, &:focus {
                    text-decoration: none;
                }

                span, i {
                    margin: 0px 1px;
                }
            }

            .dropdown-menu {
                left: auto;
                right: 0;
                padding: 15px;
                max-height: 500px;
                overflow-x: hidden;
                overflow-y: auto;
                margin-right: 0px;

                @media (min-width: @screen-sm-min) {
                    white-space: nowrap;
                }

                @media (max-width: @screen-sm) {
                    table.table > tfoot > tr > th {
                        border-top: 0;
                    }
                }

                &:before, &:after {
                    left: auto;
                    right: 12px;
                }

                &:after {
                    margin-left: 0px;
                    margin-right: -1px;
                }

                td {
                    &.v-middle {
                        vertical-align: middle;
                    }

                    .btn-remove {
                        padding: 0;
                        background: transparent;
                        margin-top: -4px;
                    }
                }
            }

            .btn-view-cart {
                padding: 10px 15px;
                text-transform: uppercase;
                i {
                    margin-left: 5px;
                }
            }

            .empty-cart {
                font-size: 1.2rem;
                display: block;
                padding: 5px;
                i {
                    margin-right: 5px;
                    font-size: 1.5rem;
                }
            }
        }

        .secondary-nav-dropdowns {
            display: flex;
            flex-flow: row nowrap;
            align-items: center;
            margin: 0;

            @media (min-width: @screen-md-min) {
                margin: 0 0 @grid-gutter-width/3 0;
            }

            ul.user-nav,
            ul.language-nav {
                padding: 0;
                margin: 0 0 0 @grid-gutter-width/3;
                list-style: none;

                @media (min-width: @screen-sm-min) {
                    margin: 0 0 0 @grid-gutter-width/2;
                }

                > li {
                    display: block;

                    > a {
                        display: block;
                        padding: 7px;
                        font-family: @font-headline;
                        transition: all @main-menu-transition-speed;

                        &:hover, &:focus {
                            text-decoration: none;
                        }
                    }
                }
            }

            ul.language-nav {
                margin: 0 @grid-gutter-width/2 0 0;
            }
        }

        .dropdown-menu {
            left: auto;
            right: 0;
            margin-top: 5px;
            box-shadow: 0 2px 4px 0 rgba(0,0,0,.1);
            padding-top: 5px;
            padding-bottom: 5px;

            &.login {
                min-width: 280px;
                padding: @grid-gutter-width/2 @grid-gutter-width/1.5;

                label:empty {
                    display: none;
                }
            }
        }

        .user-nav {
            #login-dropdown {
                span.hidden-xs {
                    display: inline !important;
                }
            }
        }

        form.search-form {
            width: 260px;

            @media (max-width: @screen-md) {
                display: none;
            }
        }

        .search-container {
            position: relative;

            .form-control {
                padding-right: 40px;

                &:focus {
                    box-shadow: none;
                    border-color: @text-color;
                }
            }

            .search-submit-btn {
                .btn();
                background: transparent;
                position: absolute;
                right: 0;
                top: 0;

                &:focus, &:active {
                    box-shadow: none;
                    color: @brand-primary;
                }
            }
        }
    }

    .gdpr-consent-text-auth {
        text-align: center;
        font-size: @font-size-small;
        color: @text-muted;

        a {
            text-decoration: underline;
        }
    }

    .nav-toggler {
        height: 40px;
        width: 42px;
        border: 0;
        padding: 0;
        background: transparent;
        margin-right: @grid-gutter-width/2;
        position: relative;
        border-radius: @border-radius-base;

        @media (max-width: 550px) {
            margin-right: @grid-gutter-width/3;
        }

        @media (min-width: @mobile-nav-breakpoint) {
            display: none !important;
        }

        &:hover, &:focus {
            .hamburger,
            .hamburger:before,
            .hamburger:after {
                background: @mobile-nav-toggler-active-color;
            }
        }

        body.offcanvas-open & .hamburger {
            background-color: transparent;

            &:before, &:after {
                margin-top: 0;
                background: @mobile-nav-toggler-active-color;
                left: 0;
            }

            &:before {
                transform: rotate(-45deg);
            }

            &:after {
                transform: rotate(45deg);
                width: 20px;
                margin: 0;
            }
        }

        .hamburger,
        .hamburger:before,
        .hamburger:after {
            content: "";
            background: @mobile-nav-toggler-color;
            border-radius: 1px;
            width: 20px;
            height: 2px;
            position: absolute;
            display: block;
            cursor: pointer;
            transition: all @main-menu-transition-speed;
            top: 48%;
            left: 50%;
            transform: translateX(-50%);
        }

        .hamburger:before {
            top: 0;
            margin-top: -6px;
        }

        .hamburger:after {
            top: 0;
            margin-top: 6px;
            width: 14px;
            margin-left: -3px;
        }
    }
}

.main-menu {
    .clearfix();
    border-color: @main-menu-border-color;
    border-style: @main-menu-border-style;
    border-width: @main-menu-border-top-width 0 @main-menu-border-bottom-width 0;
    font-size: 1.2rem;
    background: @main-menu-background;
    display: none;

    @media (min-width: @screen-lg-min) {
        font-size: 1.3rem;
    }

    @media (min-width: @screen-md-min) {
        display: block;
    }

    ul {
        padding: 0;
        margin: 0;
        list-style-type: none;

        li a {
            font-family: @font-headline;
            display: block;
            color: @main-menu-link-color;
        }
    }

    ul.menu-items {
        .clearfix();
        position: relative;

        > li {
            display: block;
            float: left;
            position: relative;

            &:hover, &:focus {
                > a {
                    background-color: @main-menu-link-hover-bg !important;
                    color: @main-menu-link-hover-color !important;
                    text-decoration: none;
                    z-index: 1001; // one more than the megamenu container
                }
            }

            > a {
                padding: 0 15px;
                line-height: 50px;
                transition: all @main-menu-transition-speed;
                color: @main-menu-link-color;
                position: relative;
            }

            &.is-parent {
                position: static;

                > a:after {
                    display: inline-block;
                    content: @fa-var-angle-down;
                    font-family: FontAwesome !important;
                    margin-left: 5px;
                    line-height: 1;
                }

                &:hover, &:focus {
                    > .mega-menu-container {
                        visibility: visible;
                        opacity: 1;
                        z-index: 1000;
                    }
                }

                &.edge {
                    .mega-menu-container {
                        right: 0px;
                    }
                }
            }

            &.current,
            &.current-parent,
            &.current:hover,
            &.current:focus,
            &.current-parent:hover,
            &.current-parent:focus {
                > a {
                    color: @main-menu-active-link-color;
                    background: @main-menu-active-link-bg;
                }
            }
        }
    }

    .mega-menu-container {
        visibility: hidden;
        opacity: 0;
        position: absolute;
        top: 100%;
        background: @megamenu-bg;
        transition: opacity @main-menu-transition-speed;
        padding: @grid-gutter-width/2 @grid-gutter-width;
        z-index: -1000;
        box-shadow: 0px 10px 30px rgba(0,0,0,0.1);
        overflow-y: hidden;

        > ul {
            .clearfix();
            float: left;
            width: 160px;

            + ul {
                margin-left: @grid-gutter-width;
            }
        }

        ul {
            position: relative;

            li {
                margin: 10px 0;

                a {
                    display: block;
                    color: @megamenu-link-color;
                }
            }

            .level-1 {
                display: block;
                width: 100%;
            }

            .level-2 {
                font-size: 1rem;
                padding-left: 15px;

                ul {
                    display: none;
                }
            }
        }
    }
}

.navbar-admin-tools {
    .navbar-brand {
        width: 100%;
        position: absolute;

        h2 {
            font-size: 1.2rem;
            float: left;
            padding: 0;
            margin: 0 10px 0 0;
        }
        .admin-tools-info {
            float: left;
            position: relative;

            .badge {
                font-size: 0.85rem;

                &.badge-warning {
                    background-color: @brand-danger;
                }
            }

            i {
                margin-left: 10px;
            }
            .fa-eye-slash {
                color: @brand-danger;
            }
            .fa-eye {
                color: @brand-success;
            }
        }
    }
}
